# Attrib

Attrib is designed to make the process of calculating attributable mortalities and incident risk ratios efficient and easy.

The package is based on generating simulations making it easy to aggregate all data from for example county to national levels or weekly to seasonal levels without losing information about credible intervals on the way. 

## fhiverse

The `fhiverse` is a set of R packages developed by the Norwegian Institute of Public Health to help solve problems that frequently occur when performing infectious disease surveillance.

If you want to install the dev versions (or access packages that haven't been released on CRAN), run `usethis::edit_r_profile()` to edit your `.Rprofile`. Then write in:

```
options(repos=structure(c(
  FHI="https://folkehelseinstituttet.github.io/drat/",
  CRAN="https://cran.rstudio.com"
)))
```

Save the file and restart R. This will allow you to install `fhiverse` packages from the FHI registry.

Current `fhiverse` packages are:

| Name    	| Info                                                             	|
|---------	|------------------------------------------------------------------	|
| [org](https://folkehelseinstituttet.github.io/org/)         	| A system to help you organize projects.  |
| [plnr](https://folkehelseinstituttet.github.io/plnr/)    	  | A system to help you plan analyses.  |
| [attrib](https://folkehelseinstituttet.github.io/attrib/)  	| Calculating attributable mortalities and incident risk ratios.  |
| [spread](https://folkehelseinstituttet.github.io/spread/)  	| Different infectious disease spread models.  |
| [fhidata](https://folkehelseinstituttet.github.io/fhidata/) 	| Preformatted structural data for Norway.  |
| [fhimaps](https://folkehelseinstituttet.github.io/fhimaps/) 	| Preformatted maps of Norway that generally don't need geolibraries.  |
| [fhiplot](https://folkehelseinstituttet.github.io/fhiplot/) 	| Helpful functions for creating outputs in the style used by FHI.  |
